İçeriğe geç

One To All Animation · 1.3b

Entegre et

Model kimliği one-to-all-animation/1.3b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/one-to-all-animation/1.3b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "negative_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Örnekteki gibi dosyalar: $0,30 300 API kredisi · ≈ ₽32,27 dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır

API anahtarı al
Open model Videodan Videoya 720p değerine kadar #video-to-video#motion

Videodaki hareketi kullanarak referans görselini hareketlendiren daha küçük, poz yönlendirmeli animasyon modeli

Open model · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Video üretiminin temeli olarak kullanılan istem.

•gerekli

Video üretimi sırasında kullanılan negatif istem.

•gerekli image_url
Dosyayı bırakın veya

Video üretimi için referans görsel URL'si.

•gerekli video_url
Dosyayı bırakın veya

Video üretimini yönlendirmek için kullanılan referans video URL'si.

resolution varsayılan 480p

Çıktı videosunun çözünürlüğü.

Gelişmiş num_inference_steps · image_guidance_scale · pose_guidance_scale · enable_safety_checker
varsayılan 30

Video üretimi sırasında gerçekleştirilen çıkarım adımı sayısı.

varsayılan 2

Video üretimi sırasında uygulanan görsel yönlendirme ölçeği.

varsayılan 1.5

Video üretimi sırasında uygulanan poz yönlendirme ölçeği.

POST /run/one-to-all-animation/1.3b?wait=20 fiyat → $0,30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/one-to-all-animation/1.3b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "negative_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

One To All Animation · 1.3b hakkında

Referans `image_url` içindeki karakteri `video_url` içindeki hareketi izleyerek canlandırır. Hem `prompt` hem de `negative_prompt` gereklidir. Çıkış çözünürlüğü 480p, 580p veya 720p'dir; en fazla 30 çıkarım adımı ile `image_guidance_scale` ve `pose_guidance_scale` ayarlanabilir. Bu, 1.3b boyutlu varyanttır.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Video üretiminin temeli olarak kullanılan istem.
negative_promptgerekli
Türstring
Video üretimi sırasında kullanılan negatif istem.
image_urlgerekli image
Türurl · image
Video üretimi için referans görsel URL'si.
video_urlgerekli video
Türurl · video
Video üretimini yönlendirmek için kullanılan referans video URL'si.
resolutionisteğe bağlı
Türenum
Varsayılan480p
480p580p720p
Çıktı videosunun çözünürlüğü.
num_inference_stepsisteğe bağlı
Türinteger
Varsayılan30
2 – 30
Video üretimi sırasında gerçekleştirilen çıkarım adımı sayısı.
image_guidance_scaleisteğe bağlı
Türnumber
Varsayılan2
1 – 10
Video üretimi sırasında uygulanan görsel yönlendirme ölçeği.
pose_guidance_scaleisteğe bağlı
Türnumber
Varsayılan1.5
1 – 10
Video üretimi sırasında uygulanan poz yönlendirme ölçeği.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "one-to-all-animation/1.3b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "negative_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Üretimle oluşturulan video dosyası.

Daha fazla model: Videodan Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/one-to-all-animation/1.3b.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt